@font-face {
    src: url("fonts/Semplicita Medium.otf");
    font-family: Semplicita-Medium;
}

@font-face {
    src: url("fonts/LibreBaskerville-Regular");
    font-family: Baskerville;
}

@font-face {
    src: url("fonts/Semplicita Bold.otf");
    font-family: Semplicita-Bold;
}

body {
    text-align: center;
    font-family: Semplicita-Medium, sans-serif;
    color: white;
    margin: 0;
    padding: 0.5rem;
    letter-spacing: 2.5px;
    background-color: white;
    overflow-x: hidden;
    position: relative;
}

.lk-logo {
    width: 1.5rem;
    position: absolute;
    left: 0.5rem;
    bottom: 0.5rem;
    z-index: 100;
}

a {
    text-decoration: none;
    color: white;
}

ul {
    padding: 0;
    list-style-type: none;
}

footer {
    position: absolute;
    bottom: 0.75rem;
    right: 1rem;
}

p {
    font-size: 1rem;
    font-weight: 400;
}

/*********** SECTIONS ***********/
#bgContainer {
    position: relative;
    border-radius: 15px;
    background: no-repeat center center;
    background-size: cover;
    transition: background-image 2s ease-in-out;
    height: calc(100vh - 1rem);
    width: calc(100vw - 1rem);
    z-index: 100;
    overflow: hidden;
    background-color: #D9D1BA;
}

.fade {
    opacity: 1;
    transition: opacity 2s ease-in-out;
}

.fade.invisible {
    opacity: 0;
    visibility: hidden;
    height: 0;
    width: 0;
    overflow: hidden;
}

/*********** NAVIGATION SECTION ***********/
.navBar {
    font-family: Baskerville, serif;
    width: calc(100% - 2rem);
    height: 4rem;
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
    padding: 0.5rem 1rem;
    background-color: rgba(0, 46, 26, 0.9);
}

.logoBox {
    width: 20%;
    max-width: 350px;
    display: flex;
    align-items: center;
}

.navLogo {
    width: 100%;
}

.navPagesRight,
.navPagesLeft {
    max-width: 500px;

    width: 30%;
    font-weight: 600;
    line-height: normal;
}

.navList {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.navLinksLeft,
.navLinksRight {
    text-shadow: 1.5px 1.5px rgba(0, 0, 0, 0.75);
    padding: 0.5rem 0.75rem;
    position: relative;
}

.navLinksLeft::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: white;
    bottom: 0;
    left: 0;
    box-shadow: 0.5px 0.1px rgba(0, 0, 0, 0.5);

    transform-origin: left;
    transform: scaleX(0);
    transition: transform 0.5s ease-in-out;
}

.navLinksRight::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: white;
    bottom: 0;
    left: 0;
    box-shadow: 0.5px 0.1px rgba(0, 0, 0, 0.5);

    transform-origin: right;
    transform: scaleX(0);
    transition: transform 0.5s ease-in-out;
}

.navLinksLeft:hover::before {
    transform-origin: right;
    transform: scaleX(1);
}

.navLinksRight:hover::before {
    transform-origin: left;
    transform: scaleX(1);
}

.navLinksLeft:hover,
.navLinksRight:hover {
    cursor: pointer;
}

.apply-text {
    color: #ad9257;
    font-size: 1.5rem;
    transition: text-shadow 0.5s ease-in-out;
}

.apply-text::before {
    background-color: #ad9257;
}

.green-button::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: #ad9257;
    box-shadow: 0 0 5px rgba(173, 146, 87, 0.5), 0 0 10px rgba(173, 146, 87, 0.5),
        0 0 15px rgba(6, 255, 0, 0.5);
    bottom: 0;
    left: 0;
    transform-origin: right;
    transform: scaleX(0);
    transition: transform 0.5s ease-in-out;
}

.green-button:hover::before {
    transform-origin: left;
    transform: scaleX(1);
}

.hamburger {
    place-self: center;
    display: none;
    justify-content: center;
    align-items: center;
}

.nav-ham {
    color: white;
    font-size: 3rem;
    letter-spacing: 0px;
    line-height: 0;
}

.nav-ham:hover {
    cursor: pointer;
}

.overlay {
    height: 1000dvh;
    width: 100dvw;
    /* margin: 0.5rem; */
    position: fixed;
    z-index: -10;
    top: 0;
    left: 0;
    background-color: rgba(0, 46, 26, 1);
    overflow: hidden;
    transition-duration: 0.5s;
    transition-timing-function: linear;
    overscroll-behavior: contain;
    animation-name: fade;
    animation-duration: 0.5s;
    opacity: 0;
    display: none;
}

@keyframes fade {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.closeBar {
    width: 90%;
    padding: 1rem 0 0;
    margin: 0 auto;
    display: flex;
    position: relative;
    font-weight: 700;
    justify-content: flex-end;
}

.closeBox {
    width: 100%;
    display: flex;
    justify-content: center;
    place-self: center;
    width: 4rem;
    height: 4rem;
    align-items: center;
}

.overlay .closebtn {
    color: #ad9257;
    font-size: 5rem;
    letter-spacing: 0;
}

.overlay-content {
    position: relative;
    width: 100%;
    height: auto;
    text-align: center;
    font-size: 2.5rem;
    font-weight: 900;
    font-family: Baskerville, serif;

}

.overlay-grid {
    display: flex;
    width: 90vw;
    margin: 0 auto;
    height: 70vh;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.overlay-flex {
    margin: 0;
    height: 60%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.overlay-item:hover {
    cursor: pointer;
}

/*********** HEADING SECTION ***********/
.mainWrapper1 {
    margin: AUTO 0;
    display: flex;
    justify-content: flex-end;
    flex-direction: row;
    align-items: flex-start;
    width: 100%;
    height: calc(100vh - 6rem);
    flex-wrap: wrap;
    align-content: space-between;
}

.headerWrapper {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 82%;
}

.largeHeader1 {
    width: 100%;
    text-shadow: 2.5px 2.5px rgba(0, 0, 0, 0.75);
    text-align: left;
    font-family: Baskerville, sans-serif;
    font-size: 7rem;
    letter-spacing: 4px;
    line-height: 6rem;
    margin: 0;
}

.theRoute {
    transition: opacity 0.6s ease;
}


/*********** SERVICES SECTION ***********/
.galleryWrapper {
    width: 97.5%;
    max-width: 105rem;
    margin: 0 auto;
    position: relative;
    z-index: 100;
    height: 40rem;
    overflow: scroll;
    display: flex;
    justify-content: center;

    --fade-amount: 5%;
    mask-image: linear-gradient(to bottom, transparent, black var(--fade-amount), black calc(100% - var(--fade-amount)), transparent);

    /* background-color: rgba(51,102,89,0.9); */
}


.galleryFlex {
    margin: 0;
    padding: 0.5rem 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 80%;
    gap: 0.5rem;
}


.galleryBox {
    position: relative;
    width: calc(100% / 4 - 1.5rem);
    height: 30%;
    display: flex;
    justify-content: center;
    /* align-items: center; */
    border: 1px solid white;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: none;
    transition: border 0.5s ease-in-out, box-shadow 0.5s ease-in-out;
}

.galleryBox img {
    transition: transform 0.5s ease-in-out;
}


.galleryBox:hover {
    cursor: pointer;
    border: 1px solid #AD9257;
}

.galleryBox:hover img {
    transform: scale(1.1);
}

.galleryImage {
    vertical-align: middle;
    width: 100%;
    object-fit: cover;
}


.lowerBoxesWrapper1 {
    width: 100%;
height: calc(132px + 1rem);
    background-color: rgba(0, 46, 26, 0.9);
    padding: 0.5rem 0 1rem;
}

.lowWrapper {
    max-width: 105rem;
    height: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.bottomHeader {
    width: 60%;
    height: 134.5px;
    padding-left: 1rem;
    display: flex;
    align-items: center;
}


.lowerBoxes1 {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    gap: 0.5rem;
    font-family: Semplicita-Bold, sans-serif;
    padding: 0 0.5rem;
    margin-top: -0.5rem;

}


.lowerBox1-1,
.lowerBox1-2,
.lowerBox1-3 {
    width: 200px;
    height: 132.5px;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
    border: 1px solid white;
    transition: border 0s ease-in-out, box-shadow 0.5s ease-in-out, opacity 0.5s ease-in-out, width 0s ease-in-out, height 0s ease-in-out;
    opacity: 0.75;

}

.lowerBox1-1:hover,
.lowerBox1-2:hover,
.lowerBox1-3:hover {
    cursor: pointer;
    border: 1px solid white;
    opacity: 1;
}

.lowerBox1-1 img,
.lowerBox1-2 img,
.lowerBox1-3 img {
    width: 100%;
    opacity: 0.75;
    transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
    transform: scale(1);
}

.lowerBox1-1:hover img,
.lowerBox1-2:hover img,
.lowerBox1-3:hover img {
    opacity: 1;
    transform: scale(1.1);

}

.mainBox {
    font-size: 2rem !important;
}

.boxDay {
    text-shadow: 1.5px 1.5px rgba(0, 0, 0, 0.5);
    position: absolute;
    top: 0;
    left: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    text-align: center;
    font-size: 1.5rem;
    opacity: 1;
    z-index: 100;
    transition: color 0.5s ease-in-out, text-shadow 0.5s ease-in-out, font-size 0.5s ease-in-out;
}

.lowerBox1-1:hover .boxDay,
.lowerBox1-2:hover .boxDay,
.lowerBox1-3:hover .boxDay {
    font-size: 1.75rem;
}


/* || The Modal */
.modal {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background-color: rgba(50, 50, 50, 100);
}

.modal-content {
    background-color: transparent;
    margin: auto;
    padding: 0;
    width: 85%;
    height: 100vh;
    animation-name: fade;
    animation-duration: 2s;
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: center;
}

@keyframes fade {
    from {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

.modalImage {
    height: auto;
    aspect-ratio: auto;
    max-width: 70vw;
    max-height: 90vh;
    animation-name: fade;
    animation-duration: 2s;
}

.close {
    color: white;
    position: absolute;
    width: 2rem;
    height: 2rem;
    top: 3rem;
    right: 3rem;
    LINE-HEIGHT: 1.5rem;
    letter-spacing: 0px;
    font-size: 4rem;
    font-weight: bold;
    transition: color 0.5s ease-in-out, text-shadow 0.5s ease-in-out;

}

.close:hover,
.close:focus {
    color: #AD9257;
    text-decoration: none;
    cursor: pointer;
}

.mySlides {
    display: none;
}

.cursor {
    cursor: pointer;
}

.prev,
.next {
    cursor: pointer;
    position: relative;
    width: 1.75rem;
    font-size: 2rem;
    line-height: 1.5rem;
    text-align: center;
    padding: 1rem;
    color: white;
    font-weight: bold;
    transition: 0.6s ease;
    letter-spacing: 0;
    outline: 0;
    cursor: pointer;
    -moz-user-select: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    transition: color 0.5s ease-in-out, border 0.5s ease-in-out;
}


.prev:hover,
.next:hover {
    color: #AD9257;
}

.numbertext {
    color: #f2f2f2;
    font-size: 14px;
    padding: 8px 12px;
    position: absolute;
    line-height: normal;
    bottom: 1rem;
    left: 2rem;
}

.demo {
    display: none;
}


@media only screen and (max-width : 780px) {

    body {
        /* background-color: rgba(0, 46, 26, 1); */
        padding: 0;
        height: 100dvh;
        overflow-x: visible;
    }

    #bgContainer {
        border-radius: 0;
        width: 100vw;
        height: auto;
    }


    /*********** NAVIGATION SECTION ***********/
    .navBar {
        width: calc(100% - 1.5rem);
        height: auto;
        flex-direction: row;
        padding: 0.75rem;
        justify-content: space-between;
        background-color: rgba(0, 46, 26, 1);
    }

    .navPagesLeft {
        display: none;
        width: 0px !important;
    }

    .navPagesRight {
        width: 20%;
    }

    .apply-text {
        font-size: 3rem;
    }

    .logoBox {
        width: 60%;
        position: relative;
    }

    .navLogo {
        width: 100%;
    }

    .navList {
        display: none;
    }

    .hamburger {
        display: flex;
    }

    /*********** HEADING SECTION ***********/
    .mainWrapper1 {
        height: auto;
        flex-wrap: wrap;
        flex-direction: column-reverse;
        justify-content: space-between;
        gap: 1rem;
    }

    .headerWrapper {
        height: auto;
        margin-bottom: 2.5rem;
    }

    .mainHeader {
        margin: 0;
        font-size: 14vw;
                line-height: 3.3rem;
        text-align: center;
    }

    /*********** LOWER BOXES SECTION ***********/
    .lowerBoxesWrapper1 {
        width: 100%;
        height: 35vw;
                background-color: rgba(0, 46, 26, 1);
        padding: 0;
        gap: 0;
        padding-bottom: 0.5rem;
    }
    
    .lowWrapper {
        max-width: 105rem;
        height: 100%;
        margin: 0 auto;
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        justify-content: space-evenly;
    }

    .lowerBoxes1 {
        flex-wrap: wrap;
        gap: 0 0.5rem;
        margin: 0;
        justify-content: center;
        align-items: center;
    }


    .lowerBox1-1,
    .lowerBox1-2,
    .lowerBox1-3 {
        width: 30%;
        height: 80%;
    }

    .boxDay {
        font-size: 3.5vw;
        }

    .lowerBox1-1:hover .boxDay,
    .lowerBox1-2:hover .boxDay,
    .lowerBox1-3:hover .boxDay {
        font-size: 0.8rem;
    }

    .bottomHeader {
        width: 100%;
        height: auto;
        padding: 0;
        margin: 0;
        text-align: center;
        display: flex;
        align-items: center;
    }

    .theRoute {
        height: 100%;
    }


    .galleryWrapper {
        width: 100%;
        margin: 0 auto;
        position: relative;
        z-index: 100;
        height: 100%;
        overflow: scroll;
        display: flex;
        justify-content: center;

        --fade-amount: none;
        mask-image: none;
        /* background-color: rgba(51,102,89,0.9); */
    }


    .galleryFlex {
        padding: 0;
        width: 100%;
        gap: 0.5rem;
    }


    .galleryBox {
        width: calc(100% / 2 - 1rem);
        height: 30vw;
        }

    /* || The Modal */
    .modal {
        display: none;
        position: fixed;
        z-index: 999;
        left: 0;
        top: 0;
        width: 100vw;
        height: 100vh;
        overflow: hidden;
        background-color: rgba(50, 50, 50, 100);
    }

    .modal-content {
        background-color: transparent;
        margin: auto;
        padding: 0;
        width: 95%;
        height: 100dvh;
        margin-top: 0;
        animation-name: fade;
        animation-duration: 2s;
        display: flex;
        justify-content: center;
        align-items: center;
        align-content: center;
        flex-direction: row;
        flex-wrap: wrap;
    }

    .prev:nth-child(1) {
        order: 2;
        position: fixed;
        margin-bottom: 1rem;
        bottom: 0;
        left: 35vw;
    }

    .next:nth-child(3) {
        order: 3;
        position: fixed;
        margin-bottom: 1rem;
        bottom: 0;
        right: 35vw;
    }

    @keyframes fade {
        from {
            opacity: 0
        }

        to {
            opacity: 1
        }
    }

    .mobile-image {
        display: flex;
        height: auto;
        align-items: center;

        width: 100%;
        }

    .modalImage {
        height: auto;
        margin: 0 auto;
        aspect-ratio: auto;
        max-width: 95vw;
        max-height: 65vh;
        animation-name: fade;
        animation-duration: 2s;
    }

    .close {
        top: 1.75rem;
        right: 2.35rem;
        line-height: 2rem;
    }

    .numbertext {
        top: 1.5rem !important;
        bottom: auto;
    }

    .lk-logo {
        display: block;
        width: 1rem;
        position: absolute;
        left: 0.25rem;
        bottom: 0.25rem;
    }

}